Межсайтовый скриптинг в SmartyPaginate

Дата публикации:
02.09.2009
Дата изменения:
02.09.2009
Всего просмотров:
1154
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
SmartyPaginate 1.x (дополнение к Smarty)
Уязвимые версии: SmartyPaginate 1.6, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "next" на странице, использующей класс SmartyPaginate для шаблонов Smarty. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.phpinsider.com/php/code/SmartyPaginate/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://milw0rm.com/exploits/9530

или введите имя

CAPTCHA